"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IsFile = exports.isFile = void 0;
const class_validator_1 = require("class-validator");
const StoredFile_1 = require("../../classes/storage/StoredFile");
function isFile(value) {
    return value && value instanceof StoredFile_1.StoredFile;
}
exports.isFile = isFile;
function IsFile(validationOptions) {
    return class_validator_1.ValidateBy({
        name: 'IsFile',
        constraints: [],
        validator: {
            validate(value, args) {
                return isFile(value);
            },
            defaultMessage(validationArguments) {
                return `Field "${validationArguments.property}" does not contain file`;
            },
        },
    }, validationOptions);
}
exports.IsFile = IsFile;
//# sourceMappingURL=is-file.validator.js.map